Subject: bug#18457: GC crashes followed by update_syntax_table/interval_of crash

From: David Reitter <[email-masked]>
Date: Thu, 11 Sep 2014 23:07:06 -0400

There is a source of a common “args out of range” crash in update_syntax_table/interval_of, secondary to GC exceptions.

I have received 157 crash reports for this location over the years, some of them from as long time ago as  2011.

Most (117) of them are in Fdo_auto_save.  There are others; two crash logs are below, they are from within Fkill_emacs called because of a prior crash in GC. (38 of them fit in that category, and all Fkill_emacs ones are from within GC).

So, all of them are calls after GC exceptions.

This crash occurred in the Aquamacs versions that were based on Emacs 23.3 and Emacs 24.

I found reports of the same (?) crash on a RedHat system here, and some other reports of a Mac (non-Aquamacs) build:

https://bugzilla.redhat.com/show_bug.cgi?id=991073

Interestingly, there is a more detailed stack trace available:

https://bugzilla.redhat.com/attachment.cgi?id=781611

If the GC crashes aren’t fixable based on this or don’t have a common cause, could at least the auto-saving problem be fixed?

Begin forwarded message:

> From: [email-masked]
> Subject: [aquamacs-devel] Aquamacs-3.0a - constant crashes on 10.9
> Date: September 10, 2014 at 10:32:33 PM EDT
> To: [email-masked]
> Reply-To: [email-masked]
> 
> Hi all,
> 
> I'm experiencing constant and random crashes on 10.9.4 while doing anything (moving/editing) or nothing at all. I'm not certain what the steps to reproduce the behaviour is as the crashes happen seemingly without pattern.
> 
> The notable packages I use are: evil-mode, helm, auto-complete, flycheck and haskell-mode.
> 
> I've pasted the most recent crash report here: http://pastebin.com/kZtThj4n
> 
> Any help would be much appreciated. Apologies if this isn't the right place to ask this question.
> 
> -- 
> You received this message because you are subscribed to the Google Groups "aquamacs-devel" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].

Process:         Aquamacs [88812]
Path:            /Applications/Aquamacs.app/Contents/MacOS/Aquamacs
Identifier:      org.gnu.Aquamacs
Version:         3.0a (3.0.1390269942)
Code Type:       X86-64 (Native)
Parent Process:  launchd [136]
Responsible:     Aquamacs [88812]
User ID:         501
 
Date/Time:       2014-09-11 12:17:18.424 +1000
OS Version:      Mac OS X 10.9.4 (13E28)
Report Version:  11
Anonymous UUID:  960DF9EB-9A3F-1875-9D57-1064EF50414B
 
Sleep/Wake UUID: B5A08230-D435-49E2-8153-BC4DDAF52743
 
Crashed Thread:  0  Dispatch queue: com.apple.main-thread
 
Exception Type:  EXC_BAD_ACCESS (SIGABRT)
Exception Codes: EXC_I386_GPFLT
 
Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib              0x00007fff9105c292 __kill + 10
1   org.gnu.Aquamacs                    0x00000001000ac421 terminate_due_to_signal + 145
2   org.gnu.Aquamacs                    0x00000001000c90a3 emacs_abort + 19
3   org.gnu.Aquamacs                    0x0000000100128bcc Fsignal + 1356
4   org.gnu.Aquamacs                    0x0000000100128cb9 xsignal + 9
5   org.gnu.Aquamacs                    0x000000010012668f xsignal2 + 31
6   org.gnu.Aquamacs                    0x000000010011091f args_out_of_range + 31
7   org.gnu.Aquamacs                    0x0000000100177674 interval_of + 340
8   org.gnu.Aquamacs                    0x000000010014f67c update_syntax_table + 76
9   org.gnu.Aquamacs                    0x00000001000faeac re_search_2 + 460
10  org.gnu.Aquamacs                    0x00000001000facce re_search + 46
11  org.gnu.Aquamacs                    0x00000001000f484f fast_string_match + 95
12  org.gnu.Aquamacs                    0x00000001000e0e4c Ffind_file_name_handler + 236
13  org.gnu.Aquamacs                    0x00000001000e1709 Fexpand_file_name + 89
14  org.gnu.Aquamacs                    0x00000001000e8b28 Fdo_auto_save + 264
15  org.gnu.Aquamacs                    0x00000001000ac5f4 shut_down_emacs + 244
16  org.gnu.Aquamacs                    0x00000001000ac3e7 terminate_due_to_signal + 87
17  org.gnu.Aquamacs                    0x00000001000ca986 deliver_fatal_thread_signal + 134
18  libsystem_platform.dylib            0x00007fff89d255aa _sigtramp + 26
19  org.gnu.Aquamacs                    0x000000010010e10f mark_object + 159
20  org.gnu.Aquamacs                    0x000000010010e508 mark_object + 1176
21  org.gnu.Aquamacs                    0x000000010010e0db mark_object + 107
22  org.gnu.Aquamacs                    0x000000010010c1eb Fgarbage_collect + 2123
23  org.gnu.Aquamacs                    0x00000001001298d7 Ffuncall + 327
24  org.gnu.Aquamacs                    0x0000000100128666 internal_condition_case_n + 278
25  org.gnu.Aquamacs                    0x000000010001d1a6 safe_call + 374
26  org.gnu.Aquamacs                    0x000000010002a453 display_mode_element + 675
27  org.gnu.Aquamacs                    0x000000010002a563 display_mode_element + 947
28  org.gnu.Aquamacs                    0x00000001000179f7 display_mode_line + 391
29  org.gnu.Aquamacs                    0x000000010004b185 display_mode_lines + 357
30  org.gnu.Aquamacs                    0x000000010004451e redisplay_window + 4798
31  org.gnu.Aquamacs                    0x000000010004c9d6 redisplay_window_0 + 38
32  org.gnu.Aquamacs                    0x00000001001283fa internal_condition_case_1 + 266
33  org.gnu.Aquamacs                    0x00000001000431c6 redisplay_windows + 166
34  org.gnu.Aquamacs                    0x000000010004318c redisplay_windows + 108
35  org.gnu.Aquamacs                    0x000000010004318c redisplay_windows + 108
36  org.gnu.Aquamacs                    0x000000010002249c redisplay_internal + 3916
37  org.gnu.Aquamacs                    0x00000001000b406c read_char + 2012
38  org.gnu.Aquamacs                    0x00000001000b156c read_key_sequence + 1852
39  org.gnu.Aquamacs                    0x00000001000b0bd8 command_loop_1 + 4888
40  org.gnu.Aquamacs                    0x00000001001282d1 internal_condition_case + 257
41  org.gnu.Aquamacs                    0x00000001000c0cae command_loop_2 + 62
42  org.gnu.Aquamacs                    0x0000000100127b8a internal_catch + 250
43  org.gnu.Aquamacs                    0x00000001000aecfe recursive_edit_1 + 334
44  org.gnu.Aquamacs                    0x00000001000aeef6 Frecursive_edit + 422
45  org.gnu.Aquamacs                    0x00000001000adbd9 main + 5449
46  org.gnu.Aquamacs                    0x0000000100001c84 start + 52

—
This one is from another reporter, and I’m listing it because the crash is not within do_auto_save

In Aquamacs 3.0a GNU Emacs 24.3.50.2
(x86_64-apple-darwin13.0.0, NS apple-appkit-1265.00)
of 2014-01-21 (Aquamacs-3.0a) on watson
Git revision: Aquamacs-3.0a
Operating System: OS X Version 10.9.4 (Build 13E28)
Configured using:
`configure --with-ns --without-x 'CFLAGS=-arch x86_64 -O3 -g
-mtune=corei7 -mmacosx-version-min=10.6' 'LDFLAGS=-arch x86_64 -O3 -g
-mtune=corei7 -mmacosx-version-min=10.6''

Important settings:
 locale-coding-system: utf-8-unix
 default enable-multibyte-characters: t

Command line: (/Applications/Aquamacs.app/Contents/MacOS/Aquamacs -psn_0_848079)

PATH: /sw/bin:/sw/sbin:/opt/local/bin:/opt/local/sbin:/Users/roberto/root/bin:/Users/roberto/bin/:/Users/roberto/Dropbox/Codici/scriptbelt:/usr/local/opt/gnu-sed/libexec/gnubin:/usr/local/bin/:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/opt/X11/bin:/Users/roberto/humanroot/:/Users/roberto/humanroot/utils/lhetools/:/Users/roberto/Dropbox/Codici/:/Users/roberto/humanroot/utils/MGscripts/::/usr/X11R6/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/texbin:/usr/local/texlive/2009/bin

exec-path: (/sw/bin /sw/sbin /opt/local/bin /opt/local/sbin /Users/roberto/root/bin /Users/roberto/bin/ /Users/roberto/Dropbox/Codici/scriptbelt /usr/local/opt/gnu-sed/libexec/gnubin /usr/local/bin/ /usr/bin /bin /usr/sbin /sbin /usr/local/bin /opt/X11/bin /Users/roberto/humanroot/ /Users/roberto/humanroot/utils/lhetools/ /Users/roberto/Dropbox/Codici/ /Users/roberto/humanroot/utils/MGscripts/  /usr/X11R6/bin /usr/bin /bin /usr/sbin /sbin /Applications/Aquamacs.app/Contents/MacOS/libexec /Applications/Aquamacs.app/Contents/MacOS/bin /usr/texbin /usr/local/texlive/2009/bin)

Process:         Aquamacs [496]
Path:            /Applications/Aquamacs.app/Contents/MacOS/Aquamacs
Identifier:      Aquamacs
Version:         3.0a (3.0.1390269942)
Code Type:       X86-64 (Native)
Parent Process:  launchd [467]
Responsible:     Aquamacs [496]
User ID:         501

Date/Time:       2014-09-04 13:28:31.114 +0200
OS Version:      Mac OS X 10.9.4 (13E28)
Report Version:  11
Anonymous UUID:  5F8F8BA3-D9D5-6CD7-3C1B-7D8C484C86D5

Sleep/Wake UUID: FE9A120E-C9A9-4130-B486-7D728C4370CA

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff959af292 __kill + 10
1   org.gnu.Aquamacs              	0x00000001000ac421 terminate_due_to_signal + 145
2   org.gnu.Aquamacs              	0x00000001000c90a3 emacs_abort + 19
3   org.gnu.Aquamacs              	0x0000000100128bcc Fsignal + 1356
4   org.gnu.Aquamacs              	0x0000000100128cb9 xsignal + 9
5   org.gnu.Aquamacs              	0x000000010012668f xsignal2 + 31
6   org.gnu.Aquamacs              	0x000000010011091f args_out_of_range + 31
7   org.gnu.Aquamacs              	0x0000000100177674 interval_of + 340
8   org.gnu.Aquamacs              	0x000000010014f67c update_syntax_table + 76
9   org.gnu.Aquamacs              	0x00000001000faeac re_search_2 + 460
10  org.gnu.Aquamacs              	0x00000001000facce re_search + 46
11  org.gnu.Aquamacs              	0x00000001000f484f fast_string_match + 95
12  org.gnu.Aquamacs              	0x00000001000e0e4c Ffind_file_name_handler + 236
13  org.gnu.Aquamacs              	0x00000001000e176e Fexpand_file_name + 190
14  org.gnu.Aquamacs              	0x0000000100129a89 Ffuncall + 761
15  org.gnu.Aquamacs              	0x0000000100129762 Fapply + 786
16  org.gnu.Aquamacs              	0x0000000100125f3f eval_sub + 1391
17  org.gnu.Aquamacs              	0x0000000100126f99 FletX + 521
18  org.gnu.Aquamacs              	0x0000000100125e6e eval_sub + 1182
19  org.gnu.Aquamacs              	0x000000010012a8f9 funcall_lambda + 761
20  org.gnu.Aquamacs              	0x00000001001293c2 apply_lambda + 290
21  org.gnu.Aquamacs              	0x000000010012600e eval_sub + 1598
22  org.gnu.Aquamacs              	0x0000000100126329 Fif + 57
23  org.gnu.Aquamacs              	0x0000000100125e6e eval_sub + 1182
24  org.gnu.Aquamacs              	0x00000001001274d9 Flet + 969
25  org.gnu.Aquamacs              	0x0000000100125e6e eval_sub + 1182
26  org.gnu.Aquamacs              	0x000000010012a8f9 funcall_lambda + 761
27  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
28  org.gnu.Aquamacs              	0x000000010012a345 call3 + 53
29  org.gnu.Aquamacs              	0x00000001000e17ea Fexpand_file_name + 314
30  org.gnu.Aquamacs              	0x00000001000e2c3d Ffile_symlink_p + 45
31  org.gnu.Aquamacs              	0x0000000100129b70 Ffuncall + 992
32  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
33  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
34  org.gnu.Aquamacs              	0x00000001001294e9 Fapply + 153
35  org.gnu.Aquamacs              	0x0000000100125f3f eval_sub + 1391
36  org.gnu.Aquamacs              	0x0000000100126f99 FletX + 521
37  org.gnu.Aquamacs              	0x0000000100125e6e eval_sub + 1182
38  org.gnu.Aquamacs              	0x000000010012a8f9 funcall_lambda + 761
39  org.gnu.Aquamacs              	0x00000001001293c2 apply_lambda + 290
40  org.gnu.Aquamacs              	0x000000010012600e eval_sub + 1598
41  org.gnu.Aquamacs              	0x0000000100126329 Fif + 57
42  org.gnu.Aquamacs              	0x0000000100125e6e eval_sub + 1182
43  org.gnu.Aquamacs              	0x00000001001274d9 Flet + 969
44  org.gnu.Aquamacs              	0x0000000100125e6e eval_sub + 1182
45  org.gnu.Aquamacs              	0x000000010012a8f9 funcall_lambda + 761
46  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
47  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
48  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
49  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
50  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
51  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
52  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
53  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
54  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
55  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
56  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
57  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
58  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
59  org.gnu.Aquamacs              	0x000000010012a2ed call1 + 45
60  org.gnu.Aquamacs              	0x0000000100148adf readevalloop + 655
61  org.gnu.Aquamacs              	0x0000000100147d58 Fload + 2408
62  org.gnu.Aquamacs              	0x0000000100132613 Frequire + 707
63  org.gnu.Aquamacs              	0x0000000100126088 eval_sub + 1720
64  org.gnu.Aquamacs              	0x000000010012a8f9 funcall_lambda + 761
65  org.gnu.Aquamacs              	0x00000001001293c2 apply_lambda + 290
66  org.gnu.Aquamacs              	0x000000010012600e eval_sub + 1598
67  org.gnu.Aquamacs              	0x00000001001280e1 internal_lisp_condition_case + 689
68  org.gnu.Aquamacs              	0x0000000100125e6e eval_sub + 1182
69  org.gnu.Aquamacs              	0x0000000100126329 Fif + 57
70  org.gnu.Aquamacs              	0x0000000100125e6e eval_sub + 1182
71  org.gnu.Aquamacs              	0x000000010012a8f9 funcall_lambda + 761
72  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
73  org.gnu.Aquamacs              	0x0000000100129d78 Frun_hooks + 264
74  org.gnu.Aquamacs              	0x00000001000ac474 Fkill_emacs + 68
75  org.gnu.Aquamacs              	0x00000001000ac3d6 terminate_due_to_signal + 70
76  org.gnu.Aquamacs              	0x00000001000ca8f3 deliver_fatal_signal + 131
77  libsystem_platform.dylib      	0x00007fff90df45aa _sigtramp + 26
78  org.gnu.Aquamacs              	0x000000010010e3d2 mark_object + 866
79  org.gnu.Aquamacs              	0x000000010010e508 mark_object + 1176
80  org.gnu.Aquamacs              	0x000000010010e508 mark_object + 1176
81  org.gnu.Aquamacs              	0x000000010010bc4b Fgarbage_collect + 683
82  org.gnu.Aquamacs              	0x00000001001298d7 Ffuncall + 327
83  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
84  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
85  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
86  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
87  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
88  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
89  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
90  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
91  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
92  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
93  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
94  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
95  org.gnu.Aquamacs              	0x0000000100125f3f eval_sub + 1391
96  org.gnu.Aquamacs              	0x0000000100127b8a internal_catch + 250
97  org.gnu.Aquamacs              	0x0000000100161ac1 exec_byte_code + 5201
98  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
99  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
100 org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
101 org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
102 org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
103 org.gnu.Aquamacs              	0x0000000100125f3f eval_sub + 1391
104 org.gnu.Aquamacs              	0x00000001001280e1 internal_lisp_condition_case + 689
105 org.gnu.Aquamacs              	0x0000000100161d45 exec_byte_code + 5845
106 org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
107 org.gnu.Aquamacs              	0x00000001001294e9 Fapply + 153
108 org.gnu.Aquamacs              	0x0000000100129a89 Ffuncall + 761
109 org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
110 org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
111 org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
112 org.gnu.Aquamacs              	0x000000010012a93f funcall_lambda + 831
113 org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
114 org.gnu.Aquamacs              	0x00000001001294e9 Fapply + 153
115 org.gnu.Aquamacs              	0x0000000100129a89 Ffuncall + 761
116 org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
117 org.gnu.Aquamacs              	0x0000000100126088 eval_sub + 1720
118 org.gnu.Aquamacs              	0x00000001001280e1 internal_lisp_condition_case + 689
119 org.gnu.Aquamacs              	0x0000000100161d45 exec_byte_code + 5845
120 org.gnu.Aquamacs              	0x000000010012a93f funcall_lambda + 831
121 org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
122 org.gnu.Aquamacs              	0x000000010012a2ed call1 + 45
123 org.gnu.Aquamacs              	0x00000001000b87b7 timer_check + 1095
124 org.gnu.Aquamacs              	0x00000001000b5bb4 detect_input_pending_run_timers + 84
125 org.gnu.Aquamacs              	0x00000001001694de wait_reading_process_output + 2382
126 org.gnu.Aquamacs              	0x0000000100006c62 sit_for + 258
127 org.gnu.Aquamacs              	0x00000001000b4caf read_char + 5151
128 org.gnu.Aquamacs              	0x00000001000b156c read_key_sequence + 1852
129 org.gnu.Aquamacs              	0x00000001000b0bd8 command_loop_1 + 4888
130 org.gnu.Aquamacs              	0x00000001001282d1 internal_condition_case + 257
131 org.gnu.Aquamacs              	0x00000001000c0cae command_loop_2 + 62
132 org.gnu.Aquamacs              	0x0000000100127b8a internal_catch + 250
133 org.gnu.Aquamacs              	0x00000001000aecfe recursive_edit_1 + 334
134 org.gnu.Aquamacs              	0x00000001000aeef6 Frecursive_edit + 422
135 org.gnu.Aquamacs              	0x00000001000adbd9 main + 5449
136 org.gnu.Aquamacs              	0x0000000100001c84 start + 52

—

In Aquamacs 3.0a GNU Emacs 24.3.50.2
(x86_64-apple-darwin13.0.0, NS apple-appkit-1265.00)
of 2014-01-21 (Aquamacs-3.0a) on watson
Git revision: Aquamacs-3.0a
Operating System: OS X Version 10.9.4 (Build 13E28)
Configured using:
`configure --with-ns --without-x 'CFLAGS=-arch x86_64 -O3 -g
-mtune=corei7 -mmacosx-version-min=10.6' 'LDFLAGS=-arch x86_64 -O3 -g
-mtune=corei7 -mmacosx-version-min=10.6''

Important settings:
 locale-coding-system: utf-8-unix
 default enable-multibyte-characters: t

Command line: (/Applications/Aquamacs.app/Contents/MacOS/Aquamacs)

PATH: /opt/local/bin:/opt/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/texbin

exec-path: (/usr/bin /bin /usr/sbin /sbin /usr/local/bin /usr/texbin /usr/local/texlive/2013/bin /usr/local/texlive/2013/bin/x86_64-darwin /Applications/Aquamacs.app/Contents/MacOS/libexec /Applications/Aquamacs.app/Contents/MacOS/bin)

Process:         Aquamacs [2903]
Path:            /Applications/Aquamacs.app/Contents/MacOS/Aquamacs
Identifier:      Aquamacs
Version:         3.0a (3.0.1390269942)
Code Type:       X86-64 (Native)
Parent Process:  launchd [162]
Responsible:     Aquamacs [2903]
User ID:         501

Date/Time:       2014-08-30 00:55:01.440 +0200
OS Version:      Mac OS X 10.9.4 (13E28)
Report Version:  11
Anonymous UUID:  E4524007-2848-5366-2BB4-673BA916017B

Sleep/Wake UUID: E4815DA6-9D29-4258-8178-79789C45DCFB

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff8ed8d292 __kill + 10
1   org.gnu.Aquamacs              	0x00000001000ac421 terminate_due_to_signal + 145
2   org.gnu.Aquamacs              	0x00000001000c90a3 emacs_abort + 19
3   org.gnu.Aquamacs              	0x0000000100128bcc Fsignal + 1356
4   org.gnu.Aquamacs              	0x0000000100128cb9 xsignal + 9
5   org.gnu.Aquamacs              	0x000000010012668f xsignal2 + 31
6   org.gnu.Aquamacs              	0x000000010011091f args_out_of_range + 31
7   org.gnu.Aquamacs              	0x0000000100177674 interval_of + 340
8   org.gnu.Aquamacs              	0x000000010014f67c update_syntax_table + 76
9   org.gnu.Aquamacs              	0x00000001000faeac re_search_2 + 460
10  org.gnu.Aquamacs              	0x00000001000facce re_search + 46
11  org.gnu.Aquamacs              	0x00000001000f484f fast_string_match + 95
12  org.gnu.Aquamacs              	0x00000001000e0e4c Ffind_file_name_handler + 236
13  org.gnu.Aquamacs              	0x00000001000e1709 Fexpand_file_name + 89
14  org.gnu.Aquamacs              	0x0000000100129a89 Ffuncall + 761
15  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
16  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
17  org.gnu.Aquamacs              	0x0000000100160ee9 exec_byte_code + 2169
18  org.gnu.Aquamacs              	0x0000000100129a07 Ffuncall + 631
19  org.gnu.Aquamacs              	0x0000000100129d78 Frun_hooks + 264
20  org.gnu.Aquamacs              	0x00000001000ac474 Fkill_emacs + 68
21  org.gnu.Aquamacs              	0x00000001000ac3d6 terminate_due_to_signal + 70
22  org.gnu.Aquamacs              	0x00000001000ca8f3 deliver_fatal_signal + 131
23  libsystem_platform.dylib      	0x00007fff8a9b75aa _sigtramp + 26
24  org.gnu.Aquamacs              	0x000000010010e3f7 mark_object + 903
25  org.gnu.Aquamacs              	0x000000010010e508 mark_object + 1176
26  org.gnu.Aquamacs              	0x000000010010e24f mark_object + 479
27  org.gnu.Aquamacs              	0x000000010010e3a2 mark_object + 818
28  org.gnu.Aquamacs              	0x000000010010e0db mark_object + 107
29  org.gnu.Aquamacs              	0x000000010010e508 mark_object + 1176
30  org.gnu.Aquamacs              	0x000000010010e508 mark_object + 1176
31  org.gnu.Aquamacs              	0x000000010010e0db mark_object + 107
32  org.gnu.Aquamacs              	0x000000010010e508 mark_object + 1176
33  org.gnu.Aquamacs              	0x000000010010e0db mark_object + 107
34  org.gnu.Aquamacs              	0x000000010010e508 mark_object + 1176
35  org.gnu.Aquamacs              	0x000000010010e0db mark_object + 107
36  org.gnu.Aquamacs              	0x000000010010e0db mark_object + 107
37  org.gnu.Aquamacs              	0x000000010010e508 mark_object + 1176

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff863b0292 __kill + 10
1   org.gnu.Aquamacs              	0x00000001001197c3 terminate_due_to_signal + 259
2   org.gnu.Aquamacs              	0x0000000100144773 emacs_abort + 19
3   org.gnu.Aquamacs              	0x00000001001dbc1d Fsignal + 141
4   org.gnu.Aquamacs              	0x00000001001dc2ad xsignal + 29
5   org.gnu.Aquamacs              	0x00000001001d8f08 xsignal2 + 56
6   org.gnu.Aquamacs              	0x00000001001b62e7 args_out_of_range + 39
7   org.gnu.Aquamacs              	0x000000010025b4b3 interval_of + 515
8   org.gnu.Aquamacs              	0x000000010021ab65 update_syntax_table + 101
9   org.gnu.Aquamacs              	0x000000010021aaf3 SETUP_SYNTAX_TABLE_FOR_OBJECT + 835
10  org.gnu.Aquamacs              	0x0000000100194d53 re_search_2 + 771
11  org.gnu.Aquamacs              	0x0000000100194a3f re_search + 111
12  org.gnu.Aquamacs              	0x0000000100188cb2 fast_string_match + 226
13  org.gnu.Aquamacs              	0x00000001001699c1 Ffind_file_name_handler + 321
14  org.gnu.Aquamacs              	0x000000010016a92a Fexpand_file_name + 282
15  org.gnu.Aquamacs              	0x00000001001dd9a0 Ffuncall + 1072
16  org.gnu.Aquamacs              	0x00000001001dd4fc Fapply + 1324
17  org.gnu.Aquamacs              	0x00000001001d8387 eval_sub + 1527
18  org.gnu.Aquamacs              	0x00000001001d8b44 Fprogn + 68
19  org.gnu.Aquamacs              	0x00000001001d9d39 FletX + 649
20  org.gnu.Aquamacs              	0x00000001001d8163 eval_sub + 979
21  org.gnu.Aquamacs              	0x00000001001d8b44 Fprogn + 68
22  org.gnu.Aquamacs              	0x00000001001dedd8 funcall_lambda + 1288
23  org.gnu.Aquamacs              	0x00000001001dceb6 apply_lambda + 438
24  org.gnu.Aquamacs              	0x00000001001d88e0 eval_sub + 2896
25  org.gnu.Aquamacs              	0x00000001001d8b44 Fprogn + 68
26  org.gnu.Aquamacs              	0x00000001001d8ae8 Fif + 120
27  org.gnu.Aquamacs              	0x00000001001d8163 eval_sub + 979
28  org.gnu.Aquamacs              	0x00000001001d8b44 Fprogn + 68
29  org.gnu.Aquamacs              	0x00000001001da360 Flet + 1104
30  org.gnu.Aquamacs              	0x00000001001d8163 eval_sub + 979
31  org.gnu.Aquamacs              	0x00000001001d8b44 Fprogn + 68
32  org.gnu.Aquamacs              	0x00000001001dedd8 funcall_lambda + 1288
33  org.gnu.Aquamacs              	0x00000001001ddc7a Ffuncall + 1802
34  org.gnu.Aquamacs              	0x00000001001de501 call3 + 97
35  org.gnu.Aquamacs              	0x000000010016a88a Fexpand_file_name + 122
36  org.gnu.Aquamacs              	0x000000010016ceab Ffile_symlink_p + 43
37  org.gnu.Aquamacs              	0x00000001001dd979 Ffuncall + 1033
38  org.gnu.Aquamacs              	0x00000001002363c7 exec_byte_code + 3799
39  org.gnu.Aquamacs              	0x00000001001deac4 funcall_lambda + 500
40  org.gnu.Aquamacs              	0x00000001001ddba1 Ffuncall + 1585
41  org.gnu.Aquamacs              	0x00000001001dd0a9 Fapply + 217
42  org.gnu.Aquamacs              	0x00000001001d8387 eval_sub + 1527
43  org.gnu.Aquamacs              	0x00000001001d8b44 Fprogn + 68
44  org.gnu.Aquamacs              	0x00000001001d9d39 FletX + 649
45  org.gnu.Aquamacs              	0x00000001001d8163 eval_sub + 979
46  org.gnu.Aquamacs              	0x00000001001d8b44 Fprogn + 68
47  org.gnu.Aquamacs              	0x00000001001dedd8 funcall_lambda + 1288
48  org.gnu.Aquamacs              	0x00000001001dceb6 apply_lambda + 438
49  org.gnu.Aquamacs              	0x00000001001d88e0 eval_sub + 2896
50  org.gnu.Aquamacs              	0x00000001001d8b44 Fprogn + 68
51  org.gnu.Aquamacs              	0x00000001001d8ae8 Fif + 120
52  org.gnu.Aquamacs              	0x00000001001d8163 eval_sub + 979
53  org.gnu.Aquamacs              	0x00000001001d8b44 Fprogn + 68
54  org.gnu.Aquamacs              	0x00000001001da360 Flet + 1104
55  org.gnu.Aquamacs              	0x00000001001d8163 eval_sub + 979
56  org.gnu.Aquamacs              	0x00000001001d8b44 Fprogn + 68
57  org.gnu.Aquamacs              	0x00000001001dedd8 funcall_lambda + 1288
58  org.gnu.Aquamacs              	0x00000001001ddc7a Ffuncall + 1802
59  org.gnu.Aquamacs              	0x00000001002363c7 exec_byte_code + 3799
60  org.gnu.Aquamacs              	0x00000001001deac4 funcall_lambda + 500
61  org.gnu.Aquamacs              	0x00000001001ddba1 Ffuncall + 1585
62  org.gnu.Aquamacs              	0x00000001002363c7 exec_byte_code + 3799
63  org.gnu.Aquamacs              	0x00000001001deac4 funcall_lambda + 500
64  org.gnu.Aquamacs              	0x00000001001ddba1 Ffuncall + 1585
65  org.gnu.Aquamacs              	0x00000001002363c7 exec_byte_code + 3799
66  org.gnu.Aquamacs              	0x00000001001deac4 funcall_lambda + 500
67  org.gnu.Aquamacs              	0x00000001001ddba1 Ffuncall + 1585
68  org.gnu.Aquamacs              	0x00000001002363c7 exec_byte_code + 3799
69  org.gnu.Aquamacs              	0x00000001001deac4 funcall_lambda + 500
70  org.gnu.Aquamacs              	0x00000001001ddba1 Ffuncall + 1585
71  org.gnu.Aquamacs              	0x00000001002363c7 exec_byte_code + 3799
72  org.gnu.Aquamacs              	0x00000001001deac4 funcall_lambda + 500
73  org.gnu.Aquamacs              	0x00000001001ddba1 Ffuncall + 1585
74  org.gnu.Aquamacs              	0x00000001002363c7 exec_byte_code + 3799
75  org.gnu.Aquamacs              	0x00000001001deac4 funcall_lambda + 500
76  org.gnu.Aquamacs              	0x00000001001ddba1 Ffuncall + 1585
77  org.gnu.Aquamacs              	0x00000001001de469 call1 + 73
78  org.gnu.Aquamacs              	0x000000010021012b readevalloop + 795
79  org.gnu.Aquamacs              	0x000000010020e83f Fload + 3359
80  org.gnu.Aquamacs              	0x00000001001eb776 Frequire + 902
81  org.gnu.Aquamacs              	0x00000001001d8557 eval_sub + 1991
82  org.gnu.Aquamacs              	0x00000001001d8b44 Fprogn + 68
83  org.gnu.Aquamacs              	0x00000001001dedd8 funcall_lambda + 1288
84  org.gnu.Aquamacs              	0x00000001001dceb6 apply_lambda + 438
85  org.gnu.Aquamacs              	0x00000001001d88e0 eval_sub + 2896
86  org.gnu.Aquamacs              	0x00000001001db37c internal_lisp_condition_case + 1340
87  org.gnu.Aquamacs              	0x00000001001dae3a Fcondition_case + 106
88  org.gnu.Aquamacs              	0x00000001001d8163 eval_sub + 979
89  org.gnu.Aquamacs              	0x00000001001d8b44 Fprogn + 68
90  org.gnu.Aquamacs              	0x00000001001d8ae8 Fif + 120
91  org.gnu.Aquamacs              	0x00000001001d8163 eval_sub + 979
92  org.gnu.Aquamacs              	0x00000001001d8b44 Fprogn + 68
93  org.gnu.Aquamacs              	0x00000001001dedd8 funcall_lambda + 1288
94  org.gnu.Aquamacs              	0x00000001001ddc7a Ffuncall + 1802
95  org.gnu.Aquamacs              	0x00000001001de17d funcall_nil + 29
96  org.gnu.Aquamacs              	0x00000001001de129 run_hook_with_args + 729
97  org.gnu.Aquamacs              	0x00000001001dddfe Frun_hooks + 94
98  org.gnu.Aquamacs              	0x0000000100119824 Fkill_emacs + 84
99  org.gnu.Aquamacs              	0x000000010011973d terminate_due_to_signal + 125
100 org.gnu.Aquamacs              	0x00000001001480a8 handle_fatal_signal + 24
101 org.gnu.Aquamacs              	0x0000000100146775 deliver_process_signal + 197
102 org.gnu.Aquamacs              	0x0000000100146a3a deliver_fatal_signal + 26
103 libsystem_platform.dylib      	0x00007fff8b5525aa _sigtramp + 26
104 org.gnu.Aquamacs              	0x00000001001b1841 mark_object + 2561
105 org.gnu.Aquamacs              	0x00000001001b13c0 mark_object + 1408
106 org.gnu.Aquamacs              	0x00000001001b18a4 mark_object + 2660
107 org.gnu.Aquamacs              	0x00000001001b18a4 mark_object + 2660
108 org.gnu.Aquamacs              	0x00000001001b18a4 mark_object + 2660
109 org.gnu.Aquamacs              	0x00000001001b1376 mark_object + 1334
110 org.gnu.Aquamacs              	0x00000001001b18a4 mark_object + 2660
111 org.gnu.Aquamacs              	0x00000001001b18a4 mark_object + 2660
112 org.gnu.Aquamacs              	0x00000001001b1376 mark_object + 1334
113 org.gnu.Aquamacs              	0x00000001001b18a4 mark_object + 2660
114 org.gnu.Aquamacs              	0x00000001001b18a4 mark_object + 2660
115 org.gnu.Aquamacs              	0x00000001001b1376 mark_object + 1334
116 org.gnu.Aquamacs              	0x00000001001b18a4 mark_object + 2660